跳转到内容
返回主页

Hailuo 2.0 - Text to Video

minimax_hailuo_02_t2v

Hailuo 2.0 Text to Video 可生成具有卓越视觉质量和真实物理效果的电影级视频,以空间关系和物体交互理解能力著称。

POST /v1/queue/minimax_hailuo_02_t2v # 创建任务
GET /v1/queue/minimax_hailuo_02_t2v/requests/{request_id}/status # 查询状态
GET /v1/queue/minimax_hailuo_02_t2v/requests/{request_id}/response # 获取结果
PUT /v1/queue/minimax_hailuo_02_t2v/requests/{request_id}/cancel # 取消任务
Terminal window
curl --location "https://cloud.seaart.ai/model/v1/queue/minimax_hailuo_02_t2v" \
--header "Authorization: Bearer YOUR_API_KEY" \
--header "Content-Type: application/json" \
--data '{
"prompt": "A red apple slowly rotating on a white table, clean studio lighting, static camera.",
"duration": 6,
"resolution": "768P"
}'
prompt string 必填

视频的文本描述。支持使用 [指令] 语法进行运镜控制,可在 prompt 中通过 [指令] 格式添加运镜指令,以实现精确的镜头控制

支持运镜指令:[左移][右移][左摇][右摇][推进][拉远][上升][下降][上摇][下摇][变焦推近][变焦拉远][晃动][跟随][固定]

组合运镜:同一组 [] 内的多个指令会同时生效,例如 [左摇,上升],建议组合不超过 3

顺序运镜:prompt 中前后出现的指令会依次生效,例如 [推进] 后再 [拉远]

最大长度:2000 字符

duration int

视频时长,单位为秒

分辨率 768P:可用时长 610

分辨率 1080P:可用时长 6

可选值:610

resolution string

视频分辨率

可选值:768P1080P

默认值:768P

prompt_optimizer bool

是否自动优化 prompt。设为 false 可进行更精确的控制

默认值:true

fast_pretreatment bool

是否缩短 prompt_optimizer 的优化耗时

默认值:false

aigc_watermark bool

是否在生成的视频中添加水印

默认值:false

{
"request_id": "mmsu_01hxyz...",
"response_url": "https://cloud.seaart.ai/model/v1/queue/minimax_hailuo_02_t2v/requests/mmsu_01hxyz.../response",
"status_url": "https://cloud.seaart.ai/model/v1/queue/minimax_hailuo_02_t2v/requests/mmsu_01hxyz.../status",
"cancel_url": "https://cloud.seaart.ai/model/v1/queue/minimax_hailuo_02_t2v/requests/mmsu_01hxyz.../cancel",
"queue_position": 0
}
字段类型说明
request_idstring任务 ID,后续查询、获取结果和取消都使用它
response_urlstring获取最终结果的 URL
status_urlstring查询任务状态的 URL
cancel_urlstring取消任务的 URL
queue_positionint队列位置